# gamelog_internal.h File Reference

Declaration shared among gamelog.cpp and saveload/gamelog_sl.cpp. More...

`#include "network/core/config.h"`
`#include "gamelog.h"`

Go to the source code of this file.

## Data Structures

struct | LoggedChange
| Contains information about one logged change. More...
struct | LoggedAction
| Contains information about one logged action that caused at least one logged change. More...

## Enumerations

enum | GamelogChangeType { GLCT_MODE, GLCT_REVISION, GLCT_OLDVER, GLCT_SETTING, GLCT_GRFADD, GLCT_GRFREM, GLCT_GRFCOMPAT, GLCT_GRFPARAM, GLCT_GRFMOVE, GLCT_GRFBUG, GLCT_EMERGENCY, GLCT_END, GLCT_NONE = 0xFF }
| Type of logged change. More...

## Variables

LoggedAction * | _gamelog_action
| first logged action
uint | _gamelog_actions
| number of actions

## Detailed Description

Declaration shared among gamelog.cpp and saveload/gamelog_sl.cpp.

Definition in file gamelog_internal.h.

## Enumeration Type Documentation

enum GamelogChangeType

Type of logged change.

Enumerator:

  GLCT_MODE | Scenario editor x Game, different landscape.
  GLCT_REVISION | Changed game revision string.
  GLCT_OLDVER | Loaded from savegame without logged data.
  GLCT_SETTING | Non-networksafe setting value changed.
  GLCT_GRFADD | Removed GRF.
  GLCT_GRFREM | Added GRF.
  GLCT_GRFCOMPAT | Loading compatible GRF.
  GLCT_GRFPARAM | GRF parameter changed.
  GLCT_GRFMOVE | GRF order changed.
  GLCT_GRFBUG | GRF bug triggered.
  GLCT_EMERGENCY | Emergency savegame.
  GLCT_END | So we know how many GLCTs are there.
  GLCT_NONE | In savegames, end of list.

Definition at line 19 of file gamelog_internal.h.